<?php

namespace App\Policies;

use App\Models\Tranche;
use App\Models\User\User;

class TranchePolicy {
    public function view(User $user) {
        return $user->can('tranches.view');
    }

    public function create(User $user) {
        return $user->can('tranches.create');
    }

    public function edit(User $user, Tranche $tranche) {
        return $user->can('tranches.edit');
    }

    public function delete(User $user, Tranche $tranche) {
        return $user->can('tranches.delete');
    }
}
